Last Comment Bug 706834 - Crash in nsXULTreeAccessible::TreeViewChanged
: Crash in nsXULTreeAccessible::TreeViewChanged
Status: VERIFIED FIXED
[qa!]
: crash, regression
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: All Windows XP
: -- critical (vote)
: mozilla11
Assigned To: alexander :surkov
:
Mentors:
Depends on:
Blocks: 701669
  Show dependency treegraph
 
Reported: 2011-12-01 07:50 PST by Scoobidiver (away)
Modified: 2012-02-02 07:54 PST (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
patch (1.53 KB, patch)
2011-12-01 08:51 PST, alexander :surkov
mzehe: review+
jpr: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
patch to land on aurora (warning: had to apply by hand) (2.86 KB, patch)
2011-12-15 07:58 PST, David Bolter [:davidb]
no flags Details | Diff | Splinter Review

Description Scoobidiver (away) 2011-12-01 07:50:22 PST
It's a new crash signature that first appeared in 11.0a1/20111129.
The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=854aabf544d4&tochange=bc48009a6bbb

Signature	nsXULTreeAccessible::TreeViewChanged()
UUID	1bcc71cf-d6c9-4f69-ae3c-0b43c2111201
Date Processed	2011-12-01 02:26:13.616831
Uptime	147
Last Crash	15.0 hours before submission
Install Age	14.3 hours since version was first installed.
Install Time	2011-11-30 20:05:01
Product	Firefox
Version	11.0a1
Build ID	20111130031011
Release Channel	nightly
OS	Windows NT
OS Version	5.1.2600 Service Pack 3
Build Architecture	x86
Build Architecture Info	GenuineIntel family 6 model 15 stepping 13
Crash Reason	EXCEPTION_ACCESS_VIOLATION_READ
Crash Address	0x0
User Comments	When I click on the PasswordMaker icon in my statusbar (addon bar) Firefox crashes.
App Notes 	AdapterVendorID: 8086, AdapterDeviceID: 2982, AdapterSubsysID: 00000000, AdapterDriverVersion: 6.14.10.5218
D3D10 Layers? D3D10 Layers-
D3D9 Layers? D3D9 Layers+
EMCheckCompatibility	False

Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	nsXULTreeAccessible::TreeViewChanged 	accessible/src/xul/nsXULTreeAccessible.cpp:659
1 	xul.dll 	nsRootAccessible::ProcessDOMEvent 	accessible/src/base/nsRootAccessible.cpp:401
2 	xul.dll 	NotificationController::IsUpdatePending 	accessible/src/base/NotificationController.cpp:193
3 	xul.dll 	NotificationController::HandleNotification<nsRootAccessible,nsIDOMEvent> 	accessible/src/base/NotificationController.h:179

More reports at:
https://crash-stats.mozilla.com/report/list?signature=nsXULTreeAccessible%3A%3ATreeViewChanged%28%29
Comment 1 Marco Zehe (:MarcoZ) on PTO until August 15 2011-12-01 07:58:47 PST
The only accessibility-related change that landed in this range was Bug 451161, and that was linux-only iirc. Alex, any thoughts?
Comment 2 alexander :surkov 2011-12-01 08:48:38 PST
Bug 701669 is guilty.
Comment 3 alexander :surkov 2011-12-01 08:51:16 PST
Created attachment 578278 [details] [diff] [review]
patch
Comment 4 Marco Zehe (:MarcoZ) on PTO until August 15 2011-12-01 09:52:56 PST
Comment on attachment 578278 [details] [diff] [review]
patch

r=me.
Comment 5 alexander :surkov 2011-12-01 12:24:03 PST
inbound land http://hg.mozilla.org/integration/mozilla-inbound/rev/82e69456e35d
Comment 6 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-12-02 03:19:02 PST
https://hg.mozilla.org/mozilla-central/rev/82e69456e35d
Comment 7 alexander :surkov 2011-12-02 04:53:22 PST
Comment on attachment 578278 [details] [diff] [review]
patch

regression from bug 701669 landed on Firefox 10, trivial fix
Comment 8 David Bolter [:davidb] 2011-12-15 07:58:16 PST
Created attachment 581969 [details] [diff] [review]
patch to land on aurora (warning: had to apply by hand)
Comment 9 David Bolter [:davidb] 2011-12-15 08:29:03 PST
http://hg.mozilla.org/releases/mozilla-aurora/rev/68deda0f6507
Comment 10 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-28 13:30:08 PST
Is this something QA can verify?
Comment 11 Ioana (away) 2012-01-13 02:50:19 PST
I have verified the crash stats on Socorro and this crash doesn't appear to have reproduced anymore on builds after the fix for this bug was pushed.

Please let me know if you want me to verify this bug any other way.

Note You need to log in before you can comment on or make changes to this bug.